<a name="4.10.3"></a>
## 4.10.3 (2021-09-29)


#### Bug Fixes

* **account.tax.template:**  Fix code crash after updating account module ([cec2e9dd](cec2e9dd))



<a name="4.10.2"></a>
## 4.10.2 (2021-07-05)


#### Bug Fixes

* **account.config.settings:**  se corrige permiso de contador ([c6386e1d](c6386e1d))



<a name="4.10.1"></a>
## 4.10.1 (2021-07-02)


#### Bug Fixes

* **migration:**  se corrige la migración para recalcular el rfc_emisor ([9b3585d8](9b3585d8))



<a name="4.10.0"></a>
## 4.10.0 (2021-03-09)


#### Code refactor

* **ir.attachment.facturae.mx:**  hace el campo cfdi_type un campo calculado ([7b3a8873](7b3a8873))

#### Bug Fixes

* **ir.attachment.facturae:**  oculata las facturas canceladas en las pendientes a cancelar ([a31b41a1](a31b41a1))

#### Feature

* **ir.attachment.facturae:**
  *  agrega agrupación por mes de emisión ([a09ac088](a09ac088))
  *  ordena primero los comprobantes más recientes ([4c3c4144](4c3c4144))
  *  agrega la fecha del comprobante a la vista de lista ([b1fe7fa9](b1fe7fa9))
* **res.company:**  se crea vista para mostrar PAC, Certificado y CFDI ([676bf2c7](676bf2c7))
* **security:**  se habilitan permisos CRUD para administrador del ERP ([abcee60c](abcee60c))



<a name="4.9.2"></a>
## 4.9.2 (2020-11-26)


#### Bug Fixes

* **base.cfdi.mixin:**  se incrementa la funcionalidad de la función xml_name ([8a46f496](8a46f496))



<a name="4.9.1"></a>
## 4.9.1 (2020-10-31)


#### Bug Fixes

* **migrations:**  hace más recilentes las migraciones ([531a30fc](531a30fc))



<a name="4.9.0"></a>
## 4.9.0 (2020-09-22)


#### Features

* **account.tax.category:**  copia la categoría del impuesto al crear un nuevo plan de cuentas ([c9918935](c9918935))

#### Code refactor

* **account.tax.category:**
  *  mueve el lugar en donde debe estar colgado el menú ([9a7f1898](9a7f1898))
  *  mueve los registros al módulo l10n_mx ([229205c9](229205c9))



<a name="4.8.1"></a>
## 4.8.1 (2020-09-22)


#### Bug Fixes

* **security:**  agrega permisos faltantes para el objeto res.company.facturae.fiel ([062dcbcc](062dcbcc))



<a name="4.8.0"></a>
## 4.8.0 (2020-08-25)


#### Feature

* **account.config.settings:**  mejora la presentación del formulario de configuración ([4d1f6535](4d1f6535))
* **ir.attachment.facturae:**  muestra el tipo de comprobante en lenguaje de usuario ([caa6530a](caa6530a))
* **ir.attachment.facturae.xml:**  agrega colores en la vista de lista para mejorar la visibilidad ([4fdc9884](4fdc9884))
* **params.pac:**  actualiza los datos demo de los pacs ([540c3a89](540c3a89))

#### Code refactor

* **ir.attachment.facturae.mx:**  modifica la función validate_cfdi_folio_fiscal ([3bef816a](3bef816a))

#### Bug Fixes

* **es_mx:**  actualiza traducciones ([6004f6e3](6004f6e3))
* **ir.attachment.facturae.mx:**
  *  mejoras a la vista de búsqueda ([14070d9f](14070d9f))
  *  corrige el parseo de archivos con total en cero o inexistente ([7cb200c4](7cb200c4))
* **res.company:**  muestra el campo `company_id` solo a los usuarios del grupo group_multi_company ([05fd0a40](05fd0a40))



<a name="4.7.1"></a>
## 4.7.1 (2020-04-17)


#### Bug Fixes

* **base.cfdi.mixin:**  actualiza la fecha de creación ([4f89de31](4f89de31))



<a name="4.7.0"></a>
## 4.7.0 (2020-03-17)


#### Features

* **ir.attachment.facturae.mx:**  se modifica la vista para los CFDI'S ([4b84067c](4b84067c))

#### Code refactor

* **pyxmlsec:**  deprecia el uso de la librería ([faea04e9](faea04e9))

#### Bug Fixes

* **ir.attachment.facturae:**  mejora la posición del savepoint para capturar el CFDI generado ([a1d22d31](a1d22d31))
* **params.pac:**  actualiza los datos demo de Finkok ([b578cbfa](b578cbfa))



<a name="4.6.3"></a>
## 4.6.3 (2020-03-09)


#### Bug Fixes

* **finkok:**  permite cancelar las facturas cuando alguno de los RFCs contiene caracteres no ascii ([15f950c5](15f950c5))



<a name="4.6.2"></a>
## 4.6.2 (2020-01-14)


#### Bug Fixes

* **cfdi.related:**  agrega la columna id después de la migración ([31d05a17](31d05a17))



<a name="4.6.1"></a>
## 4.6.1 (2020-01-02)


#### Bug Fixes

* **cfdi.related:**  agrega permisos de acceso que hacían falta ([ef330909](ef330909), closes [#118](118))



<a name="4.6.0"></a>
## 4.6.0 (2019-12-11)


#### Features

* **PkiUtils:**  se crean las funciones para generar la codificacion PEM de los certifificados y llav ([5334631b](5334631b))
* **__openerp__:**  se hacen los cambios necesarios para visualizar la configuracion de la FIEL ([dad5e5f4](dad5e5f4))
* **account.config.settings:**
  *  modificar la vizualización para FIEL ([f22d68bf](f22d68bf))
  *  modificación en vista ([faa8b449](faa8b449))
  *  se agregan los campos `fiel_cer_pem` y `fiel_key_pem` a la vista ([7b0e5402](7b0e5402))
  *  se agregan los campos relacionados para los archivos en formato PEM ([94916dd5](94916dd5))
  *  se agrega grupo de seguridad ([a52eddae](a52eddae))
  *  se elimina vista y codigo que se agrego en sus respectivos archivos ([2947abbf](2947abbf))
  *  se crea el modelo account.config.settings ([96f45632](96f45632))
* **base.cfdi.mixin:**  función para la cancelación y substitución ([6652309d](6652309d))
* **i18n:**  cargar traducción ([e989a89d](e989a89d))
* **lib:**  se agrega archivo de utilidad ([f659446c](f659446c))
* **res.company:**
  *  se agregan los campos en donde se almacenara la key y el cer en formato PEM ([6aa5dd18](6aa5dd18))
  *  se agregan los campos necesarios para cargar la FIEL ([b2e7bb21](b2e7bb21))
* **res.company.facturae.certificate:**  modifico en la forma de validar certificados de la compañia ([faca25c5](faca25c5))
* **res.company.facturae.fiel:**  agregar nuevo objeto para los datos de la FIEL ([0d0ade17](0d0ade17))

#### Code refactor

* **account.config.settings:**  eliminamos comentario ([5aec243f](5aec243f))
* **base.cfdi:**  se corrige la forma de tratar con R1710(inconsistent-return-statements) ([499b61e0](499b61e0))
* **demo:**  se agrega los xml con la informacion demo ([bbe4728d](bbe4728d))
* **l10n_mx_ir_attachment_facturae:**
  *  code-analysis ([8d1adb98](8d1adb98))
  *  se cargan los archivos fusionados ([2aa320e7](2aa320e7))
* **res.company:**  se fusiona res.company del modulo `l10n_mx_facturae_cer` con el del modulo `l ([b0c50158](b0c50158))
* **res.company.facturae.certificate:**
  *  se refactoriza la funcion _load_certificate_and_private_ ([2a627dca](2a627dca))
  *  se agrega al modulo `l10n_mx_ir_attachment_facturae` ([b4684940](b4684940))
* **security:**  se fusionan los archivos de seguridad ([4ffcb8dc](4ffcb8dc))



<a name="4.5.2"></a>
## 4.5.2 (2019-10-09)


#### Bug Fixes

* **finkok:**  actualiza el proceso de cancelación ([c55a9b72](c55a9b72))



<a name="4.5.1"></a>
## 4.5.1 (2019-09-27)


#### Bug Fixes

* **ir.attachment.facturae.mx:**  mejora la posición del savepoint para cachar las excepciones ([117e30b6](117e30b6))



<a name="2.5.0"></a>
## 2.5.0 (2019-09-23)


#### Feature

* **base.cfdi:**  agrega campo cfdi_adenda_id en ir.attachment.facturae y lo copia desde el cfdi.base ([847a08ca](847a08ca))
* **ir.attachment.facturae.mx:**
  *  agrega posibilidad de manejar complementos en generacion de addendas ([06bce156](06bce156))
  *   agrega funcion de renderizado del reporte asociado a la Addenda ([06f94a47](06f94a47))



<a name="2.4.1"></a>
## 2.4.1 (2019-08-21)


#### Bug Fixes

* **ir.attachment.facturae:**  calcula la fecha del comprobante solo si existe un archivo XML ([7dc99ca1](7dc99ca1))



<a name="2.4.0"></a>
## 2.4.0 (2019-08-20)


#### Feature

* **account.journal:**  Nuevo campo dirección de emisión ([f4a0e7ff](f4a0e7ff))

#### Bug Fixes

* **base.cfdi:**  evita que se pierda la fecha de emisión de un documento ([f80a6989](f80a6989), closes [#114](114))
* **ir.attachment.factura.mx:**  borra los archivos que no se usan ([c56754c6](c56754c6))
* **ir.attachment.facturae.mx:**  deja de hacer el seguimiento de cambios para el estado ([75797330](75797330))
* **migration:**  evita que falle la migración si no existe la restricción ([58e627cc](58e627cc))



<a name="2.3.4"></a>
## 2.3.4 (2019-06-21)


#### Code refactor

* **expide_tu_factura:**  mejora el proceso de timbrado para evitar que falle cuando se realiza e ([a584b0c0](a584b0c0))
* **params.pac:**  mejora la definición del campo que permite seleccionar los PAC disponibles ([18c8074b](18c8074b))

#### Bug Fixes

* **params.pac:**
  *  corrige la cancelación de facturas con expide tu factura ([fce5c7c4](fce5c7c4))
  *  corrige la cancelación de facturas en entorno multicompañía ([03ef00ac](03ef00ac))
  *  corrige el problema al intentar timbrar con varios PAC activados ([efa114d3](efa114d3))



<a name="2.3.3"></a>
## 2.3.3 (2019-05-13)


#### Bug Fixes

* **ir.attachment.facturae.mx:**  corrige el proceso de actualización del estado del CFDI ([28cb9a66](28cb9a66))



<a name="2.3.2"></a>
## 2.3.2 (2019-04-23)


#### Bug Fixes

* **base.cfdi:**  elimina la función `unlink_cfdi` ([1c0ee69e](1c0ee69e), closes [#113](113))



<a name="2.3.1"></a>
## 2.3.1 (2019-01-17)


#### Bug Fixes

* **base.cfdi:**  consulta el estado del cfdi ([e135264f](e135264f))
* **ir.attachment.facturae.mx:**  consulta el estado de cancelacion de un cfdi ([0d144287](0d144287))



<a name="2.3.0"></a>
## 2.3.0 (2018-12-07)


#### Bug Fixes

* **PacConsultAnswer:**  cambios necesarios para cron task ([778ec79e](778ec79e))
* **expide_tu_factura:**  se corrige la respuesta en la cancelacion ([b60c5daf](b60c5daf))
* **ir.attachment.facturae.mx:**  previene errores en la función `action_consult_cancellation_status` ([91bf4f21](91bf4f21))
* **xpd_tu_factura:**  se verifica si el status_code de la respuesta es diferente de 200 ([c8c10c4e](c8c10c4e))

#### Features

* **base.cfdi:**
  *  se agrega funcion necesaria para el cron task de facturas pendientes por cancelar ([477a978e](477a978e))
  *  soporte para la tarea cron de cancelacion de facturas en estado waiting ([af212fde](af212fde))
* **exceptions:**  se agrega la exception 702 de solucion factible ([39e1acf4](39e1acf4))
* **expide_tu_factura:**  uso de objeto para homogenizar respuestas de los PAC ([4e5ea9f9](4e5ea9f9))
* **finkok:**
  *  consulta de status en sat de  cfdi ([2f1d5c96](2f1d5c96))
  *  soporte para el nuevo esquema de cancelacion ([086653fd](086653fd))
  *  soporte para cancelacion CFDI 3.3 ([72ff6109](72ff6109))
* **ir.attachment.facturae:**  cadena original de la factura ([9a35285c](9a35285c))
* **ir.attachment.facturae.mx:**
  *  se crear funciones necesarias para tarea cron de las cancelaciones ([fd7bc845](fd7bc845))
  *  soporte para la tarea cron de cancelacion ([a33e0045](a33e0045))
  *  cancelacion cfdi 3.3 ([be1074b8](be1074b8))
* **l10n_mx_params_pac:**  se crea clase que se usara para homogenizar los mensajes del pac ([4e83c5a4](4e83c5a4))
* **pac_answer:**
  *  se agregab los codigos de solucion_factible ([6280d805](6280d805))
  *  se crea clase `PacConsultAnswer` para homogenizar la respuesta de los pac en la co ([ff5c5aa7](ff5c5aa7))
  *  soporte para la respuesta de no cancelado por parte del cliente ([f444baad](f444baad))
* **params.pac:**
  *  soporte del cron task de los cfdi's pendientes de cancelar ([daac83bb](daac83bb))
  *  se agrega la información para cargar en modo pruebas xpide tu factura ([0f1639e2](0f1639e2))
* **solucion_factible:**
  *  nuevo esquema de cancelacion ([54c8420b](54c8420b))
  *  soporte para cancelacion CFDI 3.3 ([df630f0b](df630f0b))
* **xpd_tu_factura:**  nuevo esquema de cancelacion ([7917cd20](7917cd20))

#### Performance

* **base.cfdi:**  cambios necesarios para la integracion con account.invoice ([c7c204a2](c7c204a2))
* **params.pac:**  Cambios necesarios para la cancelación del CFDI ([125ba4d5](125ba4d5))



<a name="4.2.1"></a>
## 4.2.1 (2018-10-25)


#### Performance

* **expide_tu_factura:**  Se muestra informacion de la excepcion en `sign_file()` ([1395a011](1395a011))

#### Bug Fixes

* **expide_tu_factura:**  se arregla la validación de la respuesta en la cancelacion ([c782241a](c782241a))



<a name="4.2.0"></a>
## 4.2.0 (2018-10-22)


#### Bug Fixes

* **params.pac:**  se cachan las excepciones de suds ([0eef1524](0eef1524))

#### Code refactor

* **res.partner.bank:**  actualiza a la nueva api ([dee82066](dee82066))

#### Features

* **base.cfdi:**  agrega soporte para la cancelación de CFDIs ([ab258794](ab258794))
* **res.partner.bank:**  agrega función que permite validar si la cuenta es válida ([1f5ce673](1f5ce673), closes [#97](97))



<a name="4.1.1"></a>
## 4.1.1 (2018-09-26)


#### Bug Fixes

* **ir.attachment.facturae.mx:**
  *  homogenizo el comportamiento de la funcion _compute_fecha() con el d ([83437d0c](83437d0c))
  *  se corrige el calculo de la hora UTC del campo cfdi_fecha_timbrado ([0f57526f](0f57526f))
  *  se corrige el calculo de la hora UTC del campo fecha ([cd7ce809](cd7ce809))
* **ir.attachment.facturea.mx:**  se crea funcion _parser_to_date_from_xml() ([b095996b](b095996b))



<a name="4.1.0"></a>
## 4.1.0 (2018-09-20)


#### Features

* **ir.attachment.facturae.mx:**  agrega los seguidores del documento en el correo ([e30cb0a2](e30cb0a2))



<a name="2.0.4"></a>
## 2.0.4 (2018-06-16)


#### Bug Fixes

* **cfdi:**  utiliza el archivo de utilerias descargado localmente para generar el XML ([5c6a66ec](5c6a66ec))
* **demo:**  update demo/testing params pac ([5ae9218e](5ae9218e))



<a name="2.0.3"></a>
## 2.0.3 (2018-03-10)


#### Bug Fixes

* **ir.attachment.facturae.mx:**  do not create a new XML when validating a record with a given file_x ([5df7ecff](5df7ecff))
* **xmlsec1:**  version de xmlsec1 ([bd2e0d4c](bd2e0d4c))



<a name="2.0.2"></a>
## 2.0.2 (2018-02-21)


#### Bug Fixes

* **finkok:**  corrected error 202 from finkok ([e072acee](e072acee))
* **ir.attachment.facturae.mx:**
  *  get back detallista.xslt file for cadenaoriginal_3_3 ([cdf31353](cdf31353))
  *  remove unnecesary sql constrain for cfdi state ([fdb52df4](fdb52df4))



<a name="2.0.1"></a>
## 2.0.1 (2017-12-20)


#### Bug Fixes

* **expide_tu_factura:**  send uuid on XML file to cancel CFDIs ([a6eec079](a6eec079))
* **ir.attachment:**  improve domain on ir.attachment unlink function ([7ed1d6c2](7ed1d6c2))
* **ir.attachment.facturae.mx:**
  *  try hard to parse broken XML files ([1a998981](1a998981))
  *  search for XML total only as attribute from cfdi:Comprobante element ([44ee916d](44ee916d))
  *  allow _parse_xml function read any given XML file ([fe4a5a33](fe4a5a33))
  *  show error message when company has no certificate ([8d8c721a](8d8c721a))
* **migration:**
  *  rename account_tax_category only when exists ([db9f5452](db9f5452))
  *  allow support for migrate from module version 1.0.0 to version 2.0.0 ([6eae1f81](6eae1f81))



