# -*- coding: utf-8 -*-

from openupgradelib import openupgrade as tools

from openerp import SUPERUSER_ID


xmlids_spec = [
    ("l10n_mx_account_tax_category.tax_category_iva", "l10n_mx.tax_category_iva"),
    ("l10n_mx_account_tax_category.tax_category_isr", "l10n_mx.tax_category_isr"),
    ("l10n_mx_account_tax_category.tax_category_ieps", "l10n_mx.tax_category_ieps"),
]


@tools.migrate(use_env=True, uid=SUPERUSER_ID)
def migrate(env, installed_version):
    """Upgrade name for tables and models from account.tax.group"""
    tools.rename_xmlids(env.cr, xmlids_spec)
