# -*- coding: utf-8 -*-

from openupgradelib import openupgrade as tools

from openerp import SUPERUSER_ID
from openerp.tools.parse_version import parse_version


@tools.migrate(use_env=True, uid=SUPERUSER_ID)
def migrate(env, installed_version):
    # Remove constraints from field res_id from table ir.attachment.facturae.mx
    if parse_version(installed_version) >= parse_version("2.0.0"):
        tools.lift_constraints(env.cr, "ir_attachment_facturae_mx", "res_id")
