# -*- coding: utf-8 -*-

from openupgradelib import openupgrade as tools

from openerp import SUPERUSER_ID


@tools.migrate(use_env=True, uid=SUPERUSER_ID)
def migrate(env, installed_version):
    # Remove constraints from ir_attachment_facturae_mx
    tools.logged_query(
        env.cr,
        """
ALTER TABLE "ir_attachment_facturae_mx"
DROP CONSTRAINT IF EXISTS "ir_attachment_facturae_mx_uuid_unique"
        """,
    )
