# -*- coding: utf-8 -*-

from openerp import fields, models


class AccountJournal(models.Model):
    _inherit = "account.journal"

    sign_sat = fields.Boolean(
        "Sign SAT",
        copy=False,
        help="If this field is enabled, then sign through the"
        " webservice of the Mexican SAT",
    )
    address_issued_id = fields.Many2one("res.partner", "Address Issued")
