# -*- coding: utf-8 -*-

from openerp import api, models
from openerp.exceptions import Warning as UserError
from openerp.tools.translate import _


class IrAttachment(models.Model):
    _inherit = "ir.attachment"

    @api.one
    def unlink(self):
        ir_attachment_obj = self.env["ir.attachment.facturae.mx"]
        attachments = ir_attachment_obj.sudo().search(
            ["|", ("file_xml_sign", "in", self._ids), ("file_pdf", "in", self._ids)]
        )
        if attachments:
            raise UserError(_("You can not remove an attachment of an invoice"))
        return super(IrAttachment, self).unlink()
