# -*- coding: utf-8 -*-

{
    "name": "CFDI",
    "version": "2.10.3",
    "author": "OpenPyme",
    "category": "Localization/Mexico",
    "website": "http://www.openpyme.mx/",
    "license": "AGPL-3",
    "depends": [
        "email_template",
        "document",
        "l10n_mx_params_pac",
        "mail",
        "report_aeroo",
    ],
    "demo": ["demo/l10n_mx_facturae_cer_demo.xml"],
    "data": [
        "security/fiel_facturae_security.xml",
        "security/ir.model.access.csv",
        "security/l10n_mx_facturae_cer_security.xml",
        "views/account_config_settings.xml",
        "views/account_journal.xml",
        "views/ir_attachment_facturae.xml",
        "views/ir_attachment_facturae_config.xml",
        "views/res_company_facturae_certificate.xml",
        "views/res_company_facturae_fiel.xml",
        "views/res_company_cfdi.xml",
    ],
    "installable": True,
    "external_dependencies": {
        "python": [
            "M2Crypto",
        ],
    },
}
