# flake8: noqa

"""

Revision ID: l10n_mx_ir_attachment_facture_1.3.0
Revises:
Create Date: 2016-05-05

"""
from openupgradelib import openupgrade as tools

revision = "1.3.0"
down_revision = "1.2.0"
branch_labels = None
depends_on = None

column_renames = {"ir_attachment_facturae_mx": [("invoice_id", "res_id")]}


@tools.migrate()
def migrate(cr, installed_version):
    # First update
    # Rename column from invoice_id to res_id
    if not tools.column_exists(cr, "ir_attachment_facturae_mx", "res_id"):
        # Remove constraints on invoice_id column
        tools.lift_constraints(cr, "ir_attachment_facturae_mx", "invoice_id")
        tools.rename_columns(cr, column_renames)
