# -*- coding: utf-8 -*-
# Copyright 2019 OpenPyme
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl).

from openerp import fields, models


class CfdiRelated(models.Model):

    _name = "cfdi.related"
    _description = "Cfdi Related"
    _table = "cfdis_related_rel"

    related_cfdi_id = fields.Integer(help="Document related to cfdi")
    original_cfdi_id = fields.Many2one(
        "ir.attachment.facturae.mx", help="Original Cfdi replaced"
    )
    type_attachment = fields.Char(help="Type of document related")
