# -*- coding: utf-8 -*-

_SOAPENV = """<?xml version="1.0" encoding="UTF-8"?>
<soapenv:Envelope
    xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/"
    xmlns:ser="http://service.timbrado.xpd.mx/">
    <soapenv:Header/>
    <soapenv:Body>
        <ser:timbrar>
            <usuario>%s</usuario>
            <contrasena>%s</contrasena>
            <cfdi>%s</cfdi>
        </ser:timbrar>
    </soapenv:Body>
</soapenv:Envelope>
"""

_SOAPENV_CANCEL = '''<?xml version="1.0" encoding="UTF-8"?>
<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/"
   xmlns:soap="http://concretepage.com/soap">
   <soapenv:Header/>
   <soapenv:Body>
      <soap:cancelarCfdiRequest>
         <soap:usuario>%s</soap:usuario>
         <soap:contrasena>%s</soap:contrasena>
         <soap:parametros>
            <soap:noCertificado>%s</soap:noCertificado>
            <soap:rfcEmisor>%s</soap:rfcEmisor>
            <soap:rfcReceptor>%s</soap:rfcReceptor>
            <soap:total>%s</soap:total>
            <soap:uuid>%s</soap:uuid>
            <soap:xmlB64></soap:xmlB64>
         </soap:parametros>
      </soap:cancelarCfdiRequest>
   </soapenv:Body>
</soapenv:Envelope>
'''

_SOAPENV_CONSULTAR = """<?xml version="1.0" encoding="UTF-8"?>
<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/"
xmlns:soap="http://concretepage.com/soap">
   <soapenv:Header/>
   <soapenv:Body>
      <soap:consultarCfdiRequest>
         <soap:usuario>%s</soap:usuario>
         <soap:contrasena>%s</soap:contrasena>
         <!--Zero or more repetitions:-->
         <soap:parametros>
            <!--Optional:-->
            <soap:noCertificado>%s</soap:noCertificado>
            <!--Optional:-->
            <soap:rfcEmisor>%s</soap:rfcEmisor>
            <!--Optional:-->
            <soap:rfcReceptor>%s</soap:rfcReceptor>
            <!--Optional:-->
            <soap:total>%s</soap:total>
            <!--Optional:-->
            <soap:uuid>%s</soap:uuid>
            <!--Optional:-->
            <soap:xmlB64></soap:xmlB64>
         </soap:parametros>
      </soap:consultarCfdiRequest>
   </soapenv:Body>
</soapenv:Envelope>
"""
